/* StatServ functions.
 *
 * Auspice Services is copyright (c) 2000-2001 In Mean.
 *     E-mail: <inmean@pleaselook.com>
 *
 * This program is free but copyrighted software; see the file COPYING for
 * details.
 */

#include "../inc/services.h"
#include "../inc/timeout.h"
#include "ss-help.c"


static void do_sshelp(const char *source);
void spyserv(const char *source, char *buf);

void statserv(const char *source, char *buf)
{
    char *cmd;
    char *s, *chan, *nick, *host;
    int i;
    User *u = finduser(source);

    cmd = strtok(buf, " ");

    if (!cmd) {
        return;
    } else if (stricmp(cmd, "HELP") == 0) {
        do_sshelp(source);
    } else if (stricmp(cmd, "\1PING") == 0) {

        if (!(s = strtok(NULL, "")))
            s = "\1";
        notice(s_OperServ, source, "\1PING %s", s);

    } else {
        notice(s_StatServ, source,
                "Unrecognized command \2%s\2.", cmd);
    }
}

/*************************************************************************/

/* HELP command. */

static void do_sshelp(const char *source)
{
    const char *cmd = strtok(NULL, " ");
    if (!cmd)
        notice_list(s_StatServ, source, ss_help);
/*    else if (stricmp(cmd, "HOSTSERV") == 0)
        notice_list(s_BotServ, source, hostserv_help);
    else if (stricmp(cmd, "UNMODE") == 0)
        notice_list(s_BotServ, source, unmode_help);
    else if (stricmp(cmd, "NOOPER") == 0)
        notice_list(s_BotServ, source, nooper_help);
    else if (stricmp(cmd, "DENY") == 0)
        notice_list(s_BotServ, source, deny_help);
    else if (stricmp(cmd, "UNDENY") == 0)
        notice_list(s_BotServ, source, deny_help); */
    else
        notice(s_StatServ, source,
			"No help available for command \2%s\2.", cmd);
    notice(s_StatServ, source, "\2END OF HELP\2");
}
/*************************************************************************/

void spyserv(const char *source, char *buf)
{
    char *cmd;
    char *s, *chan, *nick, *host;
    int i;
    User *u = finduser(source);

    cmd = strtok(buf, " ");

    if (!cmd) {
        return;
    } else if (stricmp(cmd, "HELP") == 0) {
        do_sshelp(source);
    } else if (stricmp(cmd, "\1PING") == 0) {

        if (!(s = strtok(NULL, "")))
            s = "\1";
        notice(s_OperServ, source, "\1PING %s", s);

    } else {
        notice(s_SpyServ, source, "Unrecognized command \2%s\2.", cmd);
    }
}
